Skip to content

Create a company address

POST
/addresses
object
first_name
required
string
>= 1 characters
last_name
required
string
>= 1 characters
phone
required
string
>= 1 characters
phone_country
required

ISO 3166-1 alpha-2 country code

string
Example
FR
address1
required
string
>= 1 characters <= 70 characters
address2
string
>= 1 characters <= 70 characters
type
string
>= 1 characters
zip
required
string
>= 1 characters
city
required
string
>= 1 characters
state
string
>= 1 characters
country

ISO 3166-1 alpha-2 country code

string
default: FR
Example
FR
label
required
string
>= 1 characters
comment
string
>= 1 characters
is_default
boolean

Created address

object
data
required
object
id
required
integer
first_name
required
string
nullable
last_name
required
string
nullable
phone
required
string
nullable
phone_country
required
string
nullable
address1
required
string
nullable
address2
required
string
nullable
type
required
string
nullable
zip
required
string
nullable
city
required
string
nullable
state
required
string
nullable
country
required

ISO 3166-1 alpha-2 country code

string
nullable
Example
FR
label
required
string
nullable
comment
required
string
nullable
is_default
required
boolean
is_hq
required
boolean

Validation error

object
error
required
string

Forbidden

object
error
required
string
Allowed values: INSUFFICIENT_SCOPE

Resource not found

object
error
required
string
Allowed values: COMPANY_NOT_FOUND DELIVERY_COUNTRY_NOT_FOUND INVALID_ADDRESS

Internal server error

object
error
required
string
Allowed values: INTERNAL_ERROR